package de.ivu.elect.business.person.entity;

import de.ivu.elect.jee.presentation.dynamicform.Property;

@javax.enterprise.inject.Vetoed
public class PersonenVerknuepfungProperties
{

private final PersonenVerknuepfung entity;


    
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.person.entity.VerknuepfungsArt>
                  verknuepfungsArtProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.person.entity.VerknuepfungsArt> verknuepfungsArtMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.person.entity.VerknuepfungsGrundlage>
                  verknuepfungsGrundlageProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.person.entity.VerknuepfungsGrundlage> verknuepfungsGrundlageMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.person.entity.VerknuepfungsStatus>
                  verknuepfungsStatusProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.person.entity.VerknuepfungsStatus> verknuepfungsStatusMitLeererAuswahlProperty;
        
    

public PersonenVerknuepfungProperties(PersonenVerknuepfung entity) {
this.entity = entity;

}

private static PersonenVerknuepfungMeta getMetaData() {
return de.ivu.elect.jee.cdi.BeanManagerUtil.getBeanByClass( PersonenVerknuepfungMeta.class);
}


    

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.person.entity.VerknuepfungsArt>
                getVerknuepfungsArtProperty() {
        if (verknuepfungsArtProperty == null) {
        verknuepfungsArtProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getVerknuepfungsArtEinzahlMessage(),
        getMetaData().getVerknuepfungsArtDefaultValue(),
        getMetaData().isVerknuepfungsArtRequired(),
                entity::setVerknuepfungsArt,
        entity::getVerknuepfungsArt

                    , de.ivu.elect.business.person.entity.VerknuepfungsArt.class,
            java.util.Arrays.asList(de.ivu.elect.business.person.entity.VerknuepfungsArt.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return verknuepfungsArtProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.person.entity.VerknuepfungsArt> getVerknuepfungsArtMitLeererAuswahlProperty() {
               if (verknuepfungsArtMitLeererAuswahlProperty == null) {
                 verknuepfungsArtMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getVerknuepfungsArtEinzahlMessage(),
        				getMetaData().getVerknuepfungsArtDefaultValue(),
                        getMetaData().isVerknuepfungsArtRequired(),
                        entity::setVerknuepfungsArt,
                        entity::getVerknuepfungsArt
                        , de.ivu.elect.business.person.entity.VerknuepfungsArt.class,
                        java.util.Arrays.asList(de.ivu.elect.business.person.entity.VerknuepfungsArt.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return verknuepfungsArtMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.person.entity.VerknuepfungsGrundlage>
                getVerknuepfungsGrundlageProperty() {
        if (verknuepfungsGrundlageProperty == null) {
        verknuepfungsGrundlageProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getVerknuepfungsGrundlageEinzahlMessage(),
        getMetaData().getVerknuepfungsGrundlageDefaultValue(),
        getMetaData().isVerknuepfungsGrundlageRequired(),
                entity::setVerknuepfungsGrundlage,
        entity::getVerknuepfungsGrundlage

                    , de.ivu.elect.business.person.entity.VerknuepfungsGrundlage.class,
            java.util.Arrays.asList(de.ivu.elect.business.person.entity.VerknuepfungsGrundlage.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return verknuepfungsGrundlageProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.person.entity.VerknuepfungsGrundlage> getVerknuepfungsGrundlageMitLeererAuswahlProperty() {
               if (verknuepfungsGrundlageMitLeererAuswahlProperty == null) {
                 verknuepfungsGrundlageMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getVerknuepfungsGrundlageEinzahlMessage(),
        				getMetaData().getVerknuepfungsGrundlageDefaultValue(),
                        getMetaData().isVerknuepfungsGrundlageRequired(),
                        entity::setVerknuepfungsGrundlage,
                        entity::getVerknuepfungsGrundlage
                        , de.ivu.elect.business.person.entity.VerknuepfungsGrundlage.class,
                        java.util.Arrays.asList(de.ivu.elect.business.person.entity.VerknuepfungsGrundlage.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return verknuepfungsGrundlageMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.person.entity.VerknuepfungsStatus>
                getVerknuepfungsStatusProperty() {
        if (verknuepfungsStatusProperty == null) {
        verknuepfungsStatusProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getVerknuepfungsStatusEinzahlMessage(),
        getMetaData().getVerknuepfungsStatusDefaultValue(),
        getMetaData().isVerknuepfungsStatusRequired(),
                entity::setVerknuepfungsStatus,
        entity::getVerknuepfungsStatus

                    , de.ivu.elect.business.person.entity.VerknuepfungsStatus.class,
            java.util.Arrays.asList(de.ivu.elect.business.person.entity.VerknuepfungsStatus.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return verknuepfungsStatusProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.person.entity.VerknuepfungsStatus> getVerknuepfungsStatusMitLeererAuswahlProperty() {
               if (verknuepfungsStatusMitLeererAuswahlProperty == null) {
                 verknuepfungsStatusMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getVerknuepfungsStatusEinzahlMessage(),
        				getMetaData().getVerknuepfungsStatusDefaultValue(),
                        getMetaData().isVerknuepfungsStatusRequired(),
                        entity::setVerknuepfungsStatus,
                        entity::getVerknuepfungsStatus
                        , de.ivu.elect.business.person.entity.VerknuepfungsStatus.class,
                        java.util.Arrays.asList(de.ivu.elect.business.person.entity.VerknuepfungsStatus.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return verknuepfungsStatusMitLeererAuswahlProperty;
            }
        
        }